GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
        Create New Clearing OrderGet Clearing OrderCancel Clearing OrderConfirm Clearing OrderList Clearing Orders
      Broker & Trade Operations

Cancel Clearing Order

TradingClearingCancel Clearing Order

Cancel Clearing Order

POSThttps://api.gemini.com/v1/clearing/cancel

Cancel a bilateral clearing order that has not yet been settled.

POSTv1/clearing/cancel
curl --request POST \
  --url https://api.gemini.com/v1/clearing/cancel \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/clearing/cancel",
  "nonce": "<nonce>",
  "clearing_id": "P0521QDV"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have clearing:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/clearing/cancel"
nonceTimestampType | integer·required
timestampExample: 1495127793000
clearing_idstring·required
The clearing ID
accountstring
Required for Master API keys. The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/clearing/cancel",
  "nonce": "<nonce>",
  "clearing_id": "P0521QDV"
}

Responses

Successful operation

resultstring
Status of the cancel operation
detailsstring
Detailed description of the result
Example Responses
{
  "result": "ok",
  "details": "P0521QDV order canceled"
}
PreviousGet Clearing OrderNextConfirm Clearing Order